\with {
  \override RestCollision #'positioning-done = #merge-rests-on-positioning
}
<<
  \time 4/4
  \key g \major


  \new Voice = "first" \relative c''
  { \voiceOne
    %          \override NoteHead #'color = #(x11-color 'gray)
    %          \override Stem #'color = #(x11-color 'gray)
    %          \override Beam #'color = #(x11-color 'gray)
    %          \override Accidental #'color = #(x11-color 'gray)
    \set Timing.beamExceptions =
    #'(                         ;start of alist
      (end .                   ;entry for end of beams
	(                       ;start of alist of end points
	  ((1 . 8) . (2 2 2 2))   ;rule for 1/32 beams -- end each 1/16
	   )))
      % 	\overrideBeamSettings #'Score #'(4 . 4) #'end #'((8 . (2 2)))

      h4 h h <h d> |
      c d c8 c h4 |
      c h a h |
      a d d d8 cis |
      %         5
      d d a4 <e h'> a |
      h a a2 |
%%%%%%%%%% 2. Part %%%%%%%%%%%
      d4 d d4. d8 |
      h4 h c c |
      c h h h |
      %         10
      c c d8 h h4 |
      c c c h |
      h h cis cis |
      d a h h |
      h h a a |
      %         15
      h h h h |
      a a g2 |
    }

    \new Voice= "second" \relative c''
    { \voiceTwo
      %          \override NoteHead #'color = #(x11-color 'gray)
      %          \override Stem #'color = #(x11-color 'gray)
      %          \override Beam #'color = #(x11-color 'gray)
      %          \override Accidental #'color = #(x11-color 'gray)
      %         \overrideBeamSettings #'Score #'(4 . 4) #'end #'((8 . (2 2)))

      <d, g>4 <d g> <e g> fis8 g |
      <e g>4 <d g> <e g>8 <e g> <d g>4 |
      <d a'> <d g> <d fis> <d g>|
      <d fis> <e a> <fis a> <d a'>8 <e a> |
      %         5
      <fis a> <fis a> <d fis>4 d <cis e> |
      <d g> <cis e> <d fis>2 |
%%%%%%%%%% 2. Part %%%%%%%%%%%
      <fis a>4 <fis a> <fis h>4. <d a'>8 |
      <d g>4 <e g> <e g> <e a> |
      <e a> <dis fis> <e gis> <e gis> |
      %         10
      <e a> <e a> <f a> <e gis> |
      <e a> <e a> <e a> <dis fis> |
      <e gis> <e gis> <e a> <e a> |
      <fis a> <d fis> <d g> <d g> |
      <e g> <d g> <e g> <d fis> |
      %         15
      <d g> <d g> <e g> <d fis> |
      <e g> <d fis> <h d>2 |
    }
  >>